<script context="module">
  // @ts-ignore
  import { getArticle } from "$requesters/requesters";

  export async function load({ params, fetch }) {
    const response = await getArticle(decodeURIComponent(params.category), decodeURIComponent(params.articles),{fetchWith: fetch})
    console.log(response);
    return {
      status: response.status,
      props: {
        article: response.body
      }
    };
  }
</script>

<script>
  // @ts-nocheck
  //import { renderers } from "$components/svelte-markdown/renderers";
  import SvelteMarkdown from 'svelte-markdown'
  import Heading from "$components/svelte-markdown/Heading.svelte";

  export let article = {};

  //console.log(renderers);

  const rr = {
    heading: Heading
  }
  
</script>

<SvelteMarkdown 
  source={article.content_raw}
  renderers={rr} />
